//*************************************************************************//
//                                                                         //
//                         Util module for PSSDK                           //
//              Copyright (c) 2004 microOLAP Technologies LLC,             //
//                      Halturin A.P., Naumov D.A.                         //
//                              Source File                                //
//                                                                         //
//*************************************************************************//

unit HNPsSdkUtil;

interface

uses
  Windows, HNPsSdkDef;

procedure HNGetErrorBox(Err: DWORD);

implementation

//---------------------------------------------------------------------------
// HNGetErrorBox
//---------------------------------------------------------------------------
procedure HNGetErrorBox(Err: DWORD);
 var
   Title : PChar;
   Msg   : PChar;
 begin
   case(Err) of
      HNERR_OK:
       begin Msg := 'No errors                                 '; Title := 'HNERR_OK                 '; end;
      HNERR_WRONG_OS:
       begin Msg := 'Non supported OS version                  '; Title := 'HNERR_WRONG_OS           '; end;
      HNERR_REG_OPEN_ERROR:
       begin Msg := 'Registry key open error                   '; Title := 'HNERR_REG_OPEN_ERROR     '; end;
      HNERR_CONFIG_NOT_DEFINED:
       begin Msg := 'Network adapter configuration is not defined for the HNAdapter object'; Title := 'HNERR_CONFIG_NOT_DEFINED '; end;
      HNERR_ADDR_ERR:
       begin Msg := 'address access error                      '; Title := 'HNERR_ADDR_ERR           '; end;
      HNERR_SIZE_ERR:
       begin Msg := 'bad packet size                           '; Title := 'HNERR_SIZE_ERR           '; end;
      HNERR_COUNT_ERR:
       begin Msg := 'bad packets count                         '; Title := 'HNERR_COUNT_ERR          '; end;
      HNERR_DRIVER_NOT_LOADED:
       begin Msg := 'Driver not loaded                         '; Title := 'HNERR_DRIVER_NOT_LOADED  '; end;
      HNERR_CONTROL_NOT_OPENED:
       begin Msg := 'Conrtrol device not opened                '; Title := 'HNERR_CONTROL_NOT_OPENED '; end;
      HNERR_ADAPTER_NOT_OPENED:
       begin Msg := 'No currently opened adapter               '; Title := 'HNERR_ADAPTER_NOT_OPENED '; end;
      HNERR_ADAPTER_ALREADY_OPENED:
       begin Msg := 'Adapter was opened already                '; Title := 'HNERR_ADAPTER_ALREADY_OPENED'; end;
      HNERR_ADAPTER_OPEN_ERR:
       begin Msg := 'Error opening adapter                     '; Title := 'HNERR_ADAPTER_OPEN_ERR   '; end;
      HNERR_ADAPTER_REQ_ERR:
       begin Msg := 'Internal adapter request error            '; Title := 'HNERR_ADAPTER_REQ_ERR    '; end;
      HNERR_ADAPTER_LIST_ERR:
       begin Msg := 'Internal adapter list error               '; Title := 'HNERR_ADAPTER_LIST_ERR   '; end;
      HNERR_ADAPTER_STATE_ERR:
       begin Msg := 'Internal adapter state error              '; Title := 'HNERR_ADAPTER_STATE_ERR  '; end;
      HNERR_ADAPTER_THREAD_ERR:
       begin Msg := 'Internal adapter thread error             '; Title := 'HNERR_ADAPTER_THREAD_ERR '; end;
      HNERR_ADAPTER_THREAD_COUNT:
       begin Msg := 'Amount of threads of adapter must less or equal MaxThreadCount'; Title := 'HNERR_ADAPTER_THREAD_COUNT'; end;
      HNERR_MEM_ALLOC_ERROR:
       begin Msg := 'Memory allocation error                   '; Title := 'HNERR_MEM_ALLOC_ERROR   '; end;

      HNERR_INVALID_HANDLE:
       begin Msg := 'Invalid handle                            '; Title := 'HNERR_INVALID_HANDLE    '; end;

      HNERR_ERROR:
       begin Msg := 'General error                             '; Title := 'HNERR_ERROR             '; end;

      HNERR_FLT_BAD_LEN:
       begin Msg := 'Bad instructions count in filter programm '; Title := 'HNERR_FLT_BAD_LEN        '; end;
      HNERR_NO_RET:
       begin Msg := 'No return instruction at the end of filter'; Title := 'HNERR_NO_RET             '; end;
      HNERR_WORK_MEM:
       begin Msg := 'Wrong index of work memory cell           '; Title := 'HNERR_WORK_MEM           '; end;
      HNERR_JMP_TO_LONG:
       begin Msg := 'Jump too long                             '; Title := 'HNERR_JMP_TO_LONG        '; end;
      HNERR_WRONG_INSTRUCTION:
       begin Msg := 'Wrong instruction code                    '; Title := 'HNERR_WRONG_INSTRUCTION  '; end;
      HNERR_WRONG_PARAMETER:
       begin Msg := 'Wrong instruction parameter               '; Title := 'HNERR_WRONG_PARAMETER    '; end;
      HNERR_NO_PROGRAMM:
       begin Msg := 'No progamm in filter                      '; Title := 'HNERR_NO_PROGRAMM        '; end;
      HNERR_LOAD_FILE_ERROR:
       begin Msg := 'No file, bad file (zero len;              '; Title := 'HNERR_LOAD_FILE_ERROR    '; end;
      HNERR_SAVE_FILE_ERROR:
       begin Msg := 'Can''t write to file                       '; Title := 'HNERR_SAVE_FILE_ERROR    '; end;
      HNERR_BUFFER_TOO_SMALL:
       begin Msg := 'Memory Buffer too small                   '; Title := 'HNERR_BUFFER_TOO_SMALL   '; end;
      HNERR_BUFFER_ERROR:
       begin Msg := 'Some error with buffer                    '; Title := 'HNERR_BUFFER_ERROR       '; end;
      else
       begin Msg := 'Unknown Error !!!'; Title := 'Unknown Error'; end;
   end;

   MessageBox(0,Msg,Title,MB_OK + MB_ICONEXCLAMATION);
 end;

end.
